incompatible_flags:
  # https://github.com/bazelbuild/bazel/issues/12933
  "--incompatible_config_setting_private_default_visibility":
    - 6.x
    - 7.x
    - 8.x
  # https://github.com/bazelbuild/bazel/issues/17032
  "--incompatible_disable_starlark_host_transitions":
    - 6.x
    - 7.x
    - 8.x
  # https://github.com/bazelbuild/bazel/issues/22080
  "--incompatible_disable_native_repo_rules":
    - 7.x
    - 8.x
  # https://github.com/bazelbuild/bazel/issues/23043
  "--incompatible_autoload_externally=":
    - 7.x
    - 8.x
  # https://github.com/bazelbuild/bazel/issues/23144
  # This flag will be flipped to false
  # TODO: enable this after fixing https://github.com/bazelbuild/bazel/issues/23144#issuecomment-2793072689
  # "--noincompatible_enable_deprecated_label_apis":
  #   - 7.x
  #   - 8.x
  # https://github.com/bazelbuild/bazel/issues/25755
  "--incompatible_disable_autoloads_in_main_repo":
    - last_green
    - rolling
  # https://github.com/bazelbuild/bazel/issues/7026
  "--incompatible_strict_action_env":
    - 6.x
    - 7.x
    - 8.x
